%define __distdep %(/bin/rpm -qf /etc/redhat-release | %{__sed} 's/-[^-]*$//' | %{_bindir}/head -1)
%define __distpkg %(echo %{__distdep} | %{__sed} 's/-[^-]*$//')
%define __distvers %(echo %{__distdep} | %{__sed} 's/.*-//' | %{_bindir}/tr -d '[:alpha:]')
%define __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | %{_bindir}/tr -d '[:space:]' | %{_bindir}/cut -c 1-4 | %{_bindir}/tr '[:upper:]' '[:lower:]')
%define __perl_version %(eval "`%{__perl} -V:version`"; echo $version)
%define __perl_package HTTP-SimpleLinkChecker
%{!?__id_u: %define __id_u /bin/id -u}

Summary:	%{__perl_package} module for perl 
Name:		perl-%{__perl_package}
Version:	1.08
Release:	1.%{__distinit}%{__distvers}
License:	GPL or Artistic
Group:		Applications/CPAN
Source0:	%{__perl_package}-%{version}.tar.gz
Url:		http://search.cpan.org/search?mode=module&query=HTTP::SimpleLinkChecker
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	%{__distpkg} >= %{__distvers}, perl >= %{__perl_version}
BuildArch:	noarch
BuildRequires:	perl-libwww-perl
Requires:	perl-libwww-perl

%description
You don't have to know anything about objected-oriented Perl, LWP,
or the HTTP module to be able to check your links. This module is
designed for the casual user. It has one function, check_link,
that returns the HTTP response code that it receives when it tries
to fetch the web address passed to it. The undef value is returned
for any failure and the $HTTP::SimpleLinkChecker::ERROR variable is set.

The HEAD method is tried first, although if anything other than a
good status code (those less than 400) is received, another request
is made with the GET method.

%prep
%setup -q -n %{__perl_package}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"

%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"
%makeinstall

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
%{_bindir}/find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -v {} \;
%{_bindir}/find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    %{__sed} "s@^$RPM_BUILD_ROOT@@g" > %{__perl_package}-%{version}-filelist
if [ "$(%{__cat} %{__perl_package}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{__perl_package}-%{version}-filelist
%defattr(-,root,root)
%doc MANIFEST Changes README

%changelog
* Fri Apr  1 2005 Paul Howarth <paul@city-fan.org> 1.08-1
- Update to 1.08

* Wed Feb  9 2005 Paul Howarth <paul@city-fan.org> 1.07-1
- Update to 1.07

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 1.06-1
- Update to 1.06
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 1.04-1
- Initial build
